(solved) Apt Error, can not get updates: fresh install

Kernels & Hardware, configuring network, installing services

(solved) Apt Error, can not get updates: fresh install

Postby sdibaja » 2018-01-31 00:28

Refresh in Synaptic:
Code: Select all
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.us.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.us.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.


I disabled Security Updates and Recommended Updates then the error went away.
I then enabled them again and a trusted.gpg file was generated in /etc/apt and the error came back.

This is a fresh install
Last edited by sdibaja on 2018-01-31 02:38, edited 1 time in total.
User avatar
sdibaja
 
Posts: 16
Joined: 2005-10-22 21:14
Location: Baja California, Mexico

Re: Apt Error, can not get updates: fresh install

Postby GarryRicketson » 2018-01-31 00:58

Seems like I have seen this asked quite a few times, so I tries a search.
From some search results:The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user
===================================
http://forums.debian.net/viewtopic.php?t=130558#p629511
Be sure to read the entire thread, there are some details that you need to know, like be sure to copy the original, before removing it, never know when
you might need it. And there are some additional links , in case it does not work.
Code: Select all
      rm /etc/apt/trusted.gpg

        apt-key update

If that doesn't work, there is How to fix missing gpg key even though it should have been imported which has more detailed instructions.

Thank you Bulkley for this command, worked like a charm for me, I did encountered this same issue with a new Debian stretch installation, I was pulling my hair off because I didn't find a clear answer for this on the interweb, only here in this forum, thank you again!
User avatar
GarryRicketson
 
Posts: 4817
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Apt Error, can not get updates: fresh install

Postby sdibaja » 2018-01-31 01:18

Thanks. I have been through all of those. none help

Code: Select all
# apt-key update
Warning: 'apt-key update' is deprecated and should not be used anymore!
Note: In your distribution this command is a no-op and can therefore be removed safely.
User avatar
sdibaja
 
Posts: 16
Joined: 2005-10-22 21:14
Location: Baja California, Mexico

Re: Apt Error, can not get updates: fresh install

Postby bw123 » 2018-01-31 01:38

sdibaja wrote:Thanks. I have been through all of those. none help

Code: Select all
# apt-key update
Warning: 'apt-key update' is deprecated and should not be used anymore!
Note: In your distribution this command is a no-op and can therefore be removed safely.


It's obvious you have not been thru them all, if /etc/apt/trusted.gpg still exists. Please don't waste time, read and solve, describe the situation accurately. We aren't idiots.
Last edited by bw123 on 2018-01-31 01:40, edited 1 time in total.
User avatar
bw123
 
Posts: 3088
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Apt Error, can not get updates: fresh install

Postby GarryRicketson » 2018-01-31 01:39

Oh no, another "new feature", Using key words:
Code: Select all
On debian 9 Warning: 'apt-key update' is deprecated and should not be used anymore!

and I found this: https://wiki.debian.org/SecureApt But I can not make much sense of it. There really wasn't anything else that looks help full in the search results either.
Any way, fortunately there are some other members that are more up to date with the "newest features", and problems that come with them, hopefully maybe one of them can help on this.
User avatar
GarryRicketson
 
Posts: 4817
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Apt Error, can not get updates: fresh install

Postby bw123 » 2018-01-31 01:43

In 20 min they read thru all those links and tried all those solutions? yeah right.
User avatar
bw123
 
Posts: 3088
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Apt Error, can not get updates: fresh install

Postby sdibaja » 2018-01-31 01:52

bw123 wrote:In 20 min they read thru all those links and tried all those solutions? yeah right.

I have been researching and fighting this for several days Sir.
Those threads have been nearly memorized.

I am having the same problem on another install, I figured it was user error. To back track and see where I screwed up I made another install alongside this morning.
User avatar
sdibaja
 
Posts: 16
Joined: 2005-10-22 21:14
Location: Baja California, Mexico

Re: Apt Error, can not get updates: fresh install

Postby bw123 » 2018-01-31 01:56

sdibaja wrote:
bw123 wrote:In 20 min they read thru all those links and tried all those solutions? yeah right.

I have been researching and fighting this for several days Sir.
Those threads have been nearly memorized.

I am having the same problem on another install, I figured it was user error. To back track and see where I screwed up I made another install alongside this morning.


Your first post says /etc/apt/trusted.gpg can't be read by user _apt, and Garry's post says to back it up and rm it. How can you say you have tried it, when the file still exists?

Fresh install means what exactly? if you have been fighting it for days, then what exactly have you done to the "fresh" install?
User avatar
bw123
 
Posts: 3088
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Apt Error, can not get updates: fresh install

Postby GarryRicketson » 2018-01-31 02:16

I figured it was user error.

It could be, but no one can know , unless you can show us exactly what you or(the user ?) has done, then we might be able to see what error was made.
Did you not take any notes on what you have done ? In some of the results I did read, as a last result the entire "trusted.gpg" package, or thing can be removed and re-installed, But again, I am not familiar enough with the newest Debian releases, and new features, so I don't know what to suggest, except if you do re-install again, but this time keep a record , or notes on exactly what you do,
that way some one may be able to see what you did wrong.
User avatar
GarryRicketson
 
Posts: 4817
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Apt Error, can not get updates: fresh install

Postby GarryRicketson » 2018-01-31 02:22

In this thread, and it is more recent, the OP say they found a solution:
http://forums.debian.net/viewtopic.php?f=5&t=135754&p=662408&hilit=apt+key+update%27+is+deprecated#p662661
Postby pagat » 2018-01-05 18:31
I found solution

Mandatory must be installed package
apt-transport-https
User avatar
GarryRicketson
 
Posts: 4817
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Apt Error, can not get updates: fresh install

Postby sdibaja » 2018-01-31 02:23

There are Two separate installs, one about a week or two old that I am trying to fix. I made a fresh one this at dawn today in an effort to see where the problem occurs.

reviewing my notes this was my procedure:
install with debian-live-9.3.0-amd64-mate+nonfree.iso
synaptic: refresh, update, shutdown, restart.
install Mate Extras meta package
shutdown, restart. refresh, all is fine.
install pk-update-icon
shutdown, restart.
refresh, errors

There was nothing else done.
I am guessing there is something in pk-update-icon that has caused this.

PS: apt-transport-https is installed
User avatar
sdibaja
 
Posts: 16
Joined: 2005-10-22 21:14
Location: Baja California, Mexico

Re: Apt Error, can not get updates: fresh install

Postby GarryRicketson » 2018-01-31 02:28

Read the topic I show a link to, carefully, the same solution applies, but in different words:
Code: Select all
# cd /etc/apt
# mv trusted.gpg trusted.gpg.bak

I haven't noticed the error message since then. I see that the /etc/apt/trusted.gpg file has since been replaced on my system, though.

You still may also need to install the package mentioned in that thread:
Mandatory must be installed package
apt-transport-https


In your notes , you do not show that you removed or move 'trusted.gpg'
You need to remove it, using 'mv' to a new name, or 'cp' to a new name.
Read :
Code: Select all
man apt-key

update (deprecated)
Update the local keyring with the archive keyring and remove from
the local keyring the archive keys which are no longer valid. The
archive keyring is shipped in the archive-keyring package of your
distribution, e.g. the debian-archive-keyring package in Debian.

Note that a distribution does not need to and in fact should not
use this command any longer and instead ship keyring files in the
/etc/apt/trusted.gpg.d/ directory directly as this avoids a dependency
on gnupg and it is easier to manage keys by simply adding and
removing files for maintainers and users alike.


I am guessing there is something in pk-update-icon that has caused this.

I don't know about icons, and update icons, I avoid those kind of things as much as possible, maybe you don't really need it.
Last edited by GarryRicketson on 2018-01-31 02:37, edited 2 times in total.
User avatar
GarryRicketson
 
Posts: 4817
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Apt Error, can not get updates: fresh install

Postby bw123 » 2018-01-31 02:29

known issue with synaptic, would be a good item for a FAQ.

https://bugs.debian.org/cgi-bin/bugrepo ... bug=864640
User avatar
bw123
 
Posts: 3088
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Apt Error, can not get updates: fresh install

Postby sdibaja » 2018-01-31 02:31

Update. I uninstalled pk-update-icon then deleted the trusted.gpg file
all is good. It must be a bug in the pk-update-icon packages

Thanks for your indulgence.

PS: sorry for the disconnect, I type slower than I think. getting old sucks
I will dig into that Synaptic bug and see what I can make of it
Last edited by sdibaja on 2018-01-31 13:14, edited 1 time in total.
User avatar
sdibaja
 
Posts: 16
Joined: 2005-10-22 21:14
Location: Baja California, Mexico

Re: Apt Error, can not get updates: fresh install

Postby Thorny » 2018-01-31 13:02

[OT]

sdibaja wrote:PS: sorry for the disconnect, I type slower than I think. getting old sucks

+1 to that!
And, it seems to get worse each year. ;-)
User avatar
Thorny
 
Posts: 542
Joined: 2011-02-27 13:40


Return to System configuration

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable